- Qt 5.3
- Qt Multimedia
- C++ Classes
- QAudioOutputSelectorControl
- Qt 5.3.2 Reference Documentation

# QAudioOutputSelectorControl Class

The QAudioOutputSelectorControl class provides an audio output selector media control. More...

Header: | `#include <QAudioOutputSelectorControl>`
qmake: | `QT += multimedia`
Inherits: | QMediaControl.

- List of all members, including inherited members

## Public Functions

virtual | ~QAudioOutputSelectorControl()
virtual QString | activeOutput() const = 0
virtual QList<QString> | availableOutputs() const = 0
virtual QString | defaultOutput() const = 0
virtual QString | outputDescription(const QString & name) const = 0

## Public Slots

virtual void | setActiveOutput(const QString & name) = 0

## Signals

void | activeOutputChanged(const QString & name)
void | availableOutputsChanged()

## Protected Functions

| QAudioOutputSelectorControl(QObject * parent = 0)

## Macros

| QAudioOutputSelectorControl_iid

## Detailed Description

The QAudioOutputSelectorControl class provides an audio output selector media control.

The QAudioOutputSelectorControl class provides descriptions of the audio outputs available on a system and allows one to be selected as the audio output of a media service.

The interface name of QAudioOutputSelectorControl is `org.qt-project.qt.audiooutputselectorcontrol/5.0` as defined in QAudioOutputSelectorControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### QAudioOutputSelectorControl::QAudioOutputSelectorControl(QObject * parent = 0)`[protected]`

Constructs a new audio output selector control with the given parent.

### QAudioOutputSelectorControl::~QAudioOutputSelectorControl()`[virtual]`

Destroys an audio output selector control.

### QString QAudioOutputSelectorControl::activeOutput() const`[pure virtual]`

Returns the name of the currently selected audio output.

See also setActiveOutput().

### void QAudioOutputSelectorControl::activeOutputChanged(const QString & name)`[signal]`

Signals that the audio output has changed to name.

### QList<QString> QAudioOutputSelectorControl::availableOutputs() const`[pure virtual]`

Returns a list of the names of the available audio outputs.

### void QAudioOutputSelectorControl::availableOutputsChanged()`[signal]`

Signals that list of available outputs has changed.

### QString QAudioOutputSelectorControl::defaultOutput() const`[pure virtual]`

Returns the name of the default audio output.

### QString QAudioOutputSelectorControl::outputDescription(const QString & name) const`[pure virtual]`

Returns the description of the output name.

### void QAudioOutputSelectorControl::setActiveOutput(const QString & name)`[pure virtual slot]`

Set the active audio output to name.

See also activeOutput().

## Macro Documentation

### QAudioOutputSelectorControl_iid

`org.qt-project.qt.audiooutputselectorcontrol/5.0`

Defines the interface name of the QAudioOutputSelectorControl class.